﻿using System;
using System.Collections.Generic;
using System.Web;

namespace AppBox
{
    public class CustomDept : CustomTree, ICloneable
    {
        private int sortIndex;
        private string remark;

        public int SortIndex
        {
            get { return sortIndex; }
            set { sortIndex = value; }
        }


        public string Remark
        {
            get { return remark; }
            set { remark = value; }
        }

        public CustomDept()
        {
        }

        private CustomDept(CustomDept dept)
            : base(dept)
        {
            SortIndex = dept.SortIndex;
            Remark = dept.Remark;
        }


        public object Clone()
        {
            CustomDept dept = new CustomDept(this);
            return dept;
        }
    }
}
