﻿using System;
using System.Collections.Generic;
using System.Web;
using Newtonsoft.Json.Linq;

namespace AppBox
{
    public class RoleModulePower
    {
        private int roleId;

        /// <summary>
        /// 角色ID
        /// </summary>
        public int RoleId
        {
            get { return roleId; }
            set { roleId = value; }
        }

        // 模块没有ID，只有名称
        //private int moduleId;

        ///// <summary>
        ///// 模块ID（等同于菜单ID）
        ///// </summary>
        //public int ModuleId
        //{
        //    get { return moduleId; }
        //    set { moduleId = value; }
        //}

        private string title;

        /// <summary>
        /// 模块标题
        /// </summary>
        public string Title
        {
            get { return title; }
            set { title = value; }
        }

        private string moduleName;

        /// <summary>
        /// 模块名称
        /// </summary>
        public string ModuleName
        {
            get { return moduleName; }
            set { moduleName = value; }
        }

        private bool canRead;

        public bool CanRead
        {
            get { return canRead; }
            set { canRead = value; }
        }

        //private bool canDelete;

        //public bool CanDelete
        //{
        //    get { return canDelete; }
        //    set { canDelete = value; }
        //}

        //private bool canEdit;

        //public bool CanEdit
        //{
        //    get { return canEdit; }
        //    set { canEdit = value; }
        //}

        //private bool canAdd;

        //public bool CanAdd
        //{
        //    get { return canAdd; }
        //    set { canAdd = value; }
        //}

        //private string others;

        //public string Others
        //{
        //    get { return others; }
        //    set { others = value; }
        //}

        private JObject otherPowers;

        /// <summary>
        /// 其他权限对象
        /// </summary>
        public JObject OtherPowers
        {
            get { return otherPowers; }
            set { otherPowers = value; }
        }


    }
}