﻿using System;
using System.Collections.Generic;
using System.Web;

namespace AppBox
{
    public class CustomMenu : CustomTree, ICloneable
    {
        private string imageUrl;
        private string navigateUrl;
        private bool syncMenuTitle;
        private int sortIndex;
        private string remark;


        public string NavigateUrl
        {
            get { return navigateUrl; }
            set { navigateUrl = value; }
        }

        public string ImageUrl
        {
            get { return imageUrl; }
            set { imageUrl = value; }
        }

        public int SortIndex
        {
            get { return sortIndex; }
            set { sortIndex = value; }
        }

        public bool SyncMenuTitle
        {
            get { return syncMenuTitle; }
            set { syncMenuTitle = value; }
        }

        public string Remark
        {
            get { return remark; }
            set { remark = value; }
        }

        public CustomMenu()
        {
        }

        private CustomMenu(CustomMenu menu)
            : base(menu)
        {
            ImageUrl = menu.ImageUrl;
            NavigateUrl = menu.NavigateUrl;
            sortIndex = menu.SortIndex;
            SyncMenuTitle = menu.SyncMenuTitle;
            Remark = menu.Remark;
        }



        public object Clone()
        {
            CustomMenu menu = new CustomMenu(this);
            return menu;
        }
    }
}
