﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="dept_user.aspx.cs" Inherits="AppBox.admin.dept_user" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="RegionPanel1" runat="server" />
    <x:RegionPanel ID="RegionPanel1" ShowBorder="false" runat="server">
        <Regions>
            <x:Region ID="Region1" ShowBorder="false" ShowHeader="false" Split="true" EnableSplitTip="true"
                CollapseMode="Mini" Margins="0 0 0 0" Width="200px" Position="Left" Layout="Fit"
                BodyPadding="5px 0 5px 5px" EnableBackgroundColor="true" runat="server">
                <Items>
                    <x:Grid ID="Grid1" runat="server" ShowBorder="true" ShowHeader="false" EnableCheckBoxSelect="false"
                        EnableRowNumber="true" DataKeyNames="Id" AllowSorting="false" SortColumnIndex="0"
                        SortDirection="DESC" AllowPaging="false" EnableMultiSelect="false" EnableRowClick="true"
                        OnRowClick="Grid1_RowClick">
                        <Columns>
                            <x:BoundField DataField="Name" ExpandUnusedSpace="true" DataSimulateTreeLevelField="TreeLevel"
                                HeaderText="部门名称" />
                        </Columns>
                    </x:Grid>
                </Items>
            </x:Region>
            <x:Region ID="Region2" ShowBorder="false" ShowHeader="false" Position="Center" Layout="VBox"
                BoxConfigAlign="Stretch" BoxConfigPosition="Left" BodyPadding="5px 5px 5px 0"
                EnableBackgroundColor="true" runat="server">
                <Items>
                    <x:Form ID="Form3" runat="server" Height="36px" BodyPadding="5px" ShowHeader="false"
                        ShowBorder="false" LabelAlign="Right" EnableBackgroundColor="true">
                        <Rows>
                            <x:FormRow ID="FormRow2" runat="server">
                                <Items>
                                    <x:TwinTriggerBox ID="ttbSearchUser" runat="server" ShowLabel="false" EmptyText="在用户名称中搜索"
                                        Trigger1Icon="Clear" Trigger2Icon="Search" ShowTrigger1="false" OnTrigger2Click="ttbSearchUser_Trigger2Click"
                                        OnTrigger1Click="ttbSearchUser_Trigger1Click">
                                    </x:TwinTriggerBox>
                                    <x:Label runat="server">
                                    </x:Label>
                                </Items>
                            </x:FormRow>
                        </Rows>
                    </x:Form>
                    <x:Grid ID="Grid2" runat="server" BoxFlex="1" ShowBorder="true" ShowHeader="false"
                        EnableCheckBoxSelect="true" EnableRowNumber="true" DataKeyNames="Id,Name" AllowSorting="true"
                        OnSort="Grid2_Sort" SortColumnIndex="0" SortDirection="DESC" AllowPaging="true"
                        IsDatabasePaging="true" OnPreDataBound="Grid2_PreDataBound" OnRowCommand="Grid2_RowCommand"
                        OnPageIndexChange="Grid2_PageIndexChange">
                        <Toolbars>
                            <x:Toolbar ID="Toolbar1" runat="server">
                                <Items>
                                    <x:Button ID="btnDeleteSelected" Icon="Delete" runat="server" Text="从当前部门中移除选中的用户"
                                        OnClick="btnDeleteSelected_Click">
                                    </x:Button>
                                    <x:ToolbarFill ID="ToolbarFill1" runat="server">
                                    </x:ToolbarFill>
                                    <x:Button ID="btnNew" runat="server" Icon="Add" EnablePostBack="true" OnClick="btnNew_Click"
                                        Text="添加用户到当前部门">
                                    </x:Button>
                                </Items>
                            </x:Toolbar>
                        </Toolbars>
                        <PageItems>
                            <x:ToolbarSeparator ID="ToolbarSeparator1" runat="server">
                            </x:ToolbarSeparator>
                            <x:ToolbarText ID="ToolbarText1" runat="server" Text="每页记录数：">
                            </x:ToolbarText>
                            <x:DropDownList ID="ddlGridPageSize" Width="80px" AutoPostBack="true" OnSelectedIndexChanged="ddlGridPageSize_SelectedIndexChanged"
                                runat="server">
                                <x:ListItem Text="10" Value="10" />
                                <x:ListItem Text="20" Value="20" />
                                <x:ListItem Text="50" Value="50" />
                                <x:ListItem Text="100" Value="100" />
                            </x:DropDownList>
                        </PageItems>
                        <Columns>
                            <x:BoundField DataField="Name" SortField="Name" Width="100px" HeaderText="用户名" />
                            <x:BoundField DataField="ChineseName" SortField="ChineseName" Width="100px" HeaderText="中文名" />
                            <x:CheckBoxField DataField="Enabled" SortField="Enabled" HeaderText="启用" RenderAsStaticField="true"
                                Width="50px" />
                            <x:BoundField DataField="Gender" SortField="Gender" Width="50px" HeaderText="性别" />
                            <x:BoundField DataField="CompanyEmail" SortField="Email" Width="150px" HeaderText="公司邮箱" />
                            <x:BoundField DataField="Remark" ExpandUnusedSpace="true" HeaderText="备注" />
                            <x:WindowField TextAlign="Center" Icon="Information" ToolTip="查看详细信息" Title="查看详细信息"
                                WindowID="Window1" DataIFrameUrlFields="Id" DataIFrameUrlFormatString="~/admin/user_view.aspx?id={0}"
                                Width="50px" />
                            <x:LinkButtonField ColumnID="deleteField" TextAlign="Center" Icon="Delete" ToolTip="从当前部门中移除此用户"
                                ConfirmText="确定从当前部门中移除此用户？" ConfirmTarget="Top" CommandName="Delete" Width="50px" />
                        </Columns>
                    </x:Grid>
                </Items>
            </x:Region>
        </Regions>
    </x:RegionPanel>
    <x:Window ID="Window1" CloseAction="Hide" runat="server" IsModal="true" Hidden="true"
        Target="Top" EnableResize="true" EnableMaximize="true" EnableIFrame="true" IFrameUrl="about:blank"
        Width="650px" Height="450px" OnClose="Window1_Close">
    </x:Window>
    </form>
</body>
</html>
