﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="dept_user_addnew.aspx.cs"
    Inherits="AppBox.admin.dept_user_addnew" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="Panel1" runat="server" />
    <x:Panel ID="Panel1" ShowBorder="false" ShowHeader="false" runat="server" BodyPadding="10px"
        EnableBackgroundColor="true" Layout="Fit">
        <Toolbars>
            <x:Toolbar ID="Toolbar1" runat="server">
                <Items>
                    <x:Button ID="btnClose" Icon="SystemClose" EnablePostBack="false" runat="server"
                        Text="关闭">
                    </x:Button>
                    <x:ToolbarSeparator ID="ToolbarSeparator1" runat="server">
                    </x:ToolbarSeparator>
                    <x:Button ID="btnSaveClose" ValidateForms="SimpleForm1" Icon="SystemSaveClose" OnClick="btnSaveClose_Click"
                        runat="server" Text="选择后关闭">
                    </x:Button>
                    <x:ToolbarFill runat="server">
                    </x:ToolbarFill>
                    <x:TwinTriggerBox ID="ttbSearchMessage" Width="160px" runat="server" ShowLabel="false"
                        EmptyText="在用户名称中搜索" Trigger1Icon="Clear" Trigger2Icon="Search" ShowTrigger1="false"
                        OnTrigger2Click="ttbSearchMessage_Trigger2Click" OnTrigger1Click="ttbSearchMessage_Trigger1Click">
                    </x:TwinTriggerBox>
                </Items>
            </x:Toolbar>
        </Toolbars>
        <Items>
            <x:Grid ID="Grid1" runat="server" ShowBorder="true" ShowHeader="false" EnableCheckBoxSelect="true"
                EnableRowNumber="true" DataKeyNames="Id,Name" AllowSorting="true" OnSort="Grid1_Sort"
                SortColumnIndex="0" SortDirection="DESC" AllowPaging="true" IsDatabasePaging="true"
                OnPageIndexChange="Grid1_PageIndexChange" ClearSelectedRowsAfterPaging="false">
                <Columns>
                    <x:BoundField DataField="Name" SortField="Name" Width="100px" HeaderText="用户名" />
                    <x:BoundField DataField="ChineseName" SortField="RealName" Width="100px" HeaderText="中文名" />
                    <x:CheckBoxField DataField="Enabled" SortField="Enabled" HeaderText="启用" RenderAsStaticField="true"
                        Width="50px" />
                    <x:BoundField DataField="Gender" SortField="Gender" Width="50px" HeaderText="性别" />
                    <x:BoundField DataField="CompanyEmail" SortField="Email" Width="150px" HeaderText="公司邮箱" />
                    <x:BoundField DataField="Remark" ExpandUnusedSpace="true" HeaderText="备注" />
                </Columns>
                <PageItems>
                    <x:ToolbarSeparator ID="ToolbarSeparator3" runat="server">
                    </x:ToolbarSeparator>
                    <x:ToolbarText ID="ToolbarText1" runat="server" Text="每页记录数：">
                    </x:ToolbarText>
                    <x:DropDownList ID="ddlGridPageSize" Width="80px" AutoPostBack="true" OnSelectedIndexChanged="ddlGridPageSize_SelectedIndexChanged"
                        runat="server">
                        <x:ListItem Text="10" Value="10" />
                        <x:ListItem Text="20" Value="20" />
                        <x:ListItem Text="50" Value="50" />
                        <x:ListItem Text="100" Value="100" />
                    </x:DropDownList>
                </PageItems>
            </x:Grid>
        </Items>
    </x:Panel>
    <x:HiddenField ID="hfSelectedIDS" runat="server">
    </x:HiddenField>
    </form>
</body>
</html>
