﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="log.aspx.cs" Inherits="AppBox.admin.log" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="Panel1" runat="server" />
    <x:Panel ID="Panel1" runat="server" BodyPadding="5px" EnableLargeHeader="false" EnableBackgroundColor="true"
        ShowBorder="false" Layout="VBox" BoxConfigAlign="Stretch" BoxConfigPosition="Start"
        ShowHeader="false" Title="日志管理">
        <Items>
            <x:Form ID="Form2" runat="server" Height="36px" BodyPadding="5px" ShowHeader="false"
                ShowBorder="false" LabelAlign="Right" EnableBackgroundColor="true">
                <Rows>
                    <x:FormRow ID="FormRow1" runat="server">
                        <Items>
                            <x:TwinTriggerBox ID="ttbSearchMessage" runat="server" ShowLabel="false" EmptyText="在错误信息中搜索"
                                Trigger1Icon="Clear" Trigger2Icon="Search" ShowTrigger1="false" OnTrigger2Click="ttbSearchMessage_Trigger2Click"
                                OnTrigger1Click="ttbSearchMessage_Trigger1Click">
                            </x:TwinTriggerBox>
                            <x:DropDownList ID="ddlSearchLevel" runat="server" Label="错误级别" AutoPostBack="true"
                                OnSelectedIndexChanged="ddlSearchLevel_SelectedIndexChanged">
                                <x:ListItem Text="全部" Value="ALL" Selected="true" />
                                <x:ListItem Text="INFO" Value="INFO" />
                                <x:ListItem Text="DEBUG" Value="DEBUG" />
                                <x:ListItem Text="WARN" Value="WARN" />
                                <x:ListItem Text="ERROR" Value="ERROR" />
                                <x:ListItem Text="FATAL" Value="FATAL" />
                            </x:DropDownList>
                            <x:DropDownList ID="ddlSearchRange" runat="server" Label="搜索范围" AutoPostBack="true"
                                OnSelectedIndexChanged="ddlSearchRange_SelectedIndexChanged">
                                <x:ListItem Text="全部" Value="ALL" />
                                <x:ListItem Text="今天" Value="TODAY" Selected="true" />
                                <x:ListItem Text="最近三天" Value="LAST3DAYS" />
                                <x:ListItem Text="最近七天" Value="LAST7DAYS" />
                                <x:ListItem Text="最近一个月" Value="LASTMONTH" />
                                <x:ListItem Text="最近一年" Value="LASTYEAR" />
                            </x:DropDownList>
                        </Items>
                    </x:FormRow>
                </Rows>
            </x:Form>
            <x:Grid ID="Grid1" runat="server" BoxFlex="1" ShowBorder="true" ShowHeader="false"
                EnableCheckBoxSelect="true" EnableRowNumber="true" DataKeyNames="Logid" AllowSorting="true"
                OnSort="Grid1_Sort" SortColumnIndex="0" SortDirection="DESC" AllowPaging="true"
                IsDatabasePaging="true" OnPreDataBound="Grid1_PreDataBound" OnPageIndexChange="Grid1_PageIndexChange"
                OnRowCommand="Grid1_RowCommand">
                <Toolbars>
                    <x:Toolbar ID="Toolbar1" runat="server">
                        <Items>
                            <x:Button ID="btnDeleteSelected" Icon="Delete" runat="server" Text="删除选中记录" OnClick="btnDeleteSelected_Click">
                            </x:Button>
                        </Items>
                    </x:Toolbar>
                </Toolbars>
                <PageItems>
                    <x:ToolbarSeparator ID="ToolbarSeparator3" runat="server">
                    </x:ToolbarSeparator>
                    <x:ToolbarText ID="ToolbarText1" runat="server" Text="每页记录数：">
                    </x:ToolbarText>
                    <x:DropDownList ID="ddlGridPageSize" Width="80px" AutoPostBack="true" OnSelectedIndexChanged="ddlGridPageSize_SelectedIndexChanged"
                        runat="server">
                        <x:ListItem Text="10" Value="10" />
                        <x:ListItem Text="20" Value="20" />
                        <x:ListItem Text="50" Value="50" />
                        <x:ListItem Text="100" Value="100" />
                    </x:DropDownList>
                </PageItems>
                <Columns>
                    <x:BoundField DataField="DatetimeX" SortField="DatetimeX" DataFormatString="{0:yyyy-MM-dd HH:mm}"
                        Width="120px" HeaderText="时间" />
                    <x:BoundField DataField="LogLevel" SortField="LogLevel" Width="50px" HeaderText="级别" />
                    <x:BoundField DataField="Logger" SortField="Logger" Width="100px" HeaderText="源" />
                    <x:BoundField DataField="Message" ExpandUnusedSpace="true" HeaderText="错误信息" />
                    <x:BoundField DataField="Exception" Width="200px" HeaderText="异常信息" />
                    <x:WindowField Icon="Information" ToolTip="查看详细信息" Title="查看详细信息" WindowID="Window1"
                        DataIFrameUrlFields="Logid" DataIFrameUrlFormatString="~/admin/log_view.aspx?id={0}"
                        Width="50px" />
                    <x:LinkButtonField ColumnID="deleteField" Icon="Delete" ToolTip="删除" ConfirmText="确定删除此记录？"
                        ConfirmTarget="Top" CommandName="Delete" Width="50px" />
                </Columns>
            </x:Grid>
        </Items>
    </x:Panel>
    <x:Window ID="Window1" runat="server" IsModal="true" Hidden="true" Target="Top" EnableResize="true"
        EnableMaximize="true" EnableIFrame="true" IFrameUrl="about:blank" Width="650px"
        Height="450px">
    </x:Window>
    </form>
</body>
</html>
