﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="menu.aspx.cs" Inherits="AppBox.admin.menu" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="Panel1" runat="server" />
    <x:Panel ID="Panel1" runat="server" BodyPadding="5px" EnableLargeHeader="false" EnableBackgroundColor="true"
        ShowBorder="false" ShowHeader="false" Layout="Fit">
        <Items>
            <x:Grid ID="Grid1" runat="server" ShowBorder="true" ShowHeader="false" EnableCheckBoxSelect="false"
                EnableRowNumber="true" DataKeyNames="Id" OnPreDataBound="Grid1_PreDataBound"
                OnRowCommand="Grid1_RowCommand">
                <Toolbars>
                    <x:Toolbar ID="Toolbar1" Position="Top" runat="server">
                        <Items>
                            <x:Button ID="btnSyncMenuTitle" OnClick="btnSyncMenuTitle_Click" runat="server" Icon="ArrowRefresh"
                                Text="将模块标题同步为菜单标题">
                            </x:Button>
                            <%--<x:Button ID="btnOnlyTwoLevelMenu" EnablePress="true" OnClick="btnOnlyTwoLevelMenu_Click"
                                runat="server" Text="仅显示一二级菜单">
                            </x:Button>
                            <x:ToolbarSeparator ID="ToolbarSeparator1" runat="server">
                            </x:ToolbarSeparator>
                            <x:Button ID="btnNoHiddenMenu" EnablePress="true" OnClick="btnNoHiddenMenu_Click"
                                runat="server" Text="仅显示主菜单">
                            </x:Button>--%>
                            <x:ToolbarFill ID="ToolbarFill1" runat="server">
                            </x:ToolbarFill>
                            <x:Button ID="btnNew" runat="server" Icon="Add" EnablePostBack="false" Text="新增菜单">
                            </x:Button>
                        </Items>
                    </x:Toolbar>
                </Toolbars>
                <Columns>
                    <x:BoundField DataField="Title" HeaderText="菜单标题" DataSimulateTreeLevelField="TreeLevel"
                        Width="150px" />
                    <x:TemplateField HeaderText="模块名称" Width="120px">
                        <ItemTemplate>
                            <%# GetModuleName(Eval("Name")) %>
                        </ItemTemplate>
                    </x:TemplateField>
                    <%--<x:CheckBoxField DataField="IsModule" HeaderText="模块" RenderAsStaticField="true"
                        Width="50px" />--%>
                    <x:BoundField DataField="NavigateUrl" HeaderText="链接" Width="200px" />
                    <x:BoundField DataField="Remark" HeaderText="备注" ExpandUnusedSpace="true" />
                    <%--<x:CheckBoxField ColumnID="cbxShow" DataField="Show" HeaderText="主菜单" RenderAsStaticField="false"
                        AutoPostBack="true" CommandName="Show" Width="80px" />--%>
                    <x:BoundField DataField="SortIndex" HeaderText="排序" Width="80px" />
                    <x:WindowField ColumnID="editField" TextAlign="Center" Icon="Pencil" ToolTip="编辑"
                        WindowID="Window1" Title="编辑" DataIFrameUrlFields="Id" DataIFrameUrlFormatString="~/admin/menu_edit.aspx?id={0}"
                        Width="50px" />
                    <x:LinkButtonField ColumnID="deleteField" TextAlign="Center" Icon="Delete" ToolTip="删除"
                        ConfirmText="确定删除此记录？" ConfirmTarget="Top" CommandName="Delete" Width="50px" />
                </Columns>
            </x:Grid>
        </Items>
    </x:Panel>
    <x:Window ID="Window1" CloseAction="Hide" runat="server" IsModal="true" Hidden="true"
        Target="Top" EnableResize="true" EnableMaximize="true" EnableIFrame="true" IFrameUrl="about:blank"
        Width="650px" Height="450px" OnClose="Window1_Close">
    </x:Window>
    </form>
</body>
</html>
