﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="menu_new.aspx.cs" Inherits="AppBox.admin.menu_new" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="SimpleForm1" runat="server" />
    <x:SimpleForm ID="SimpleForm1" ShowBorder="false" ShowHeader="false" runat="server"
        BodyPadding="10px" EnableBackgroundColor="true" Title="SimpleForm">
        <Toolbars>
            <x:Toolbar ID="Toolbar1" runat="server">
                <Items>
                    <x:Button ID="btnClose" Icon="SystemClose" EnablePostBack="false" runat="server"
                        Text="关闭">
                    </x:Button>
                    <x:ToolbarSeparator ID="ToolbarSeparator2" runat="server">
                    </x:ToolbarSeparator>
                    <%--<x:Button ID="btnSaveContinue" ValidateForms="SimpleForm1" Icon="SystemSaveNew"
                        OnClick="btnSaveContinue_Click" runat="server" Text="保存并继续">
                    </x:Button>--%>
                    <x:Button ID="btnSaveClose" ValidateForms="SimpleForm1" Icon="SystemSaveClose"
                        OnClick="btnSaveClose_Click" runat="server" Text="保存后关闭">
                    </x:Button>
                </Items>
            </x:Toolbar>
        </Toolbars>
        <Items>
            <x:DropDownList runat="server" Label="模块名称" ShowRedStar="true" EnableEdit="true"
                ForceSelection="true" Required="true" ID="ddlModules">
            </x:DropDownList>
            <x:CheckBox ID="cbxSyncMenuTitle" runat="server" AutoPostBack="true" OnCheckedChanged="cbxSyncMenuTitle_CheckedChanged"
                Label="同步菜单标题">
            </x:CheckBox>
            <x:TextBox ID="tbxTitle" runat="server" Label="菜单名称" Required="true" ShowRedStar="true">
            </x:TextBox>
            <x:DropDownList ID="ddlParent" Label="上级菜单" Required="true" ShowRedStar="true"
                runat="server">
            </x:DropDownList>
            <%--<x:CheckBox ID="cbxIsModule" runat="server" Label="是否模块">
            </x:CheckBox>--%>
            <x:NumberBox ID="tbxSortIndex" Label="排序" Required="true" ShowRedStar="true" runat="server">
            </x:NumberBox>
            <x:TextBox ID="tbxUrl" runat="server" Label="链接">
            </x:TextBox>
            <x:TextBox ID="tbxIcon" runat="server" Label="图标">
            </x:TextBox>
            <x:RadioButtonList ID="iconList" ColumnNumber="4" runat="server">
            </x:RadioButtonList>
            <x:TextArea ID="tbxRemark" runat="server" Label="备注">
            </x:TextArea>
        </Items>
    </x:SimpleForm>
    </form>
    <script type="text/javascript">
        function onReady() {
            var iconList = X('<%= iconList.ClientID %>');
            var tbxIcon = X('<%= tbxIcon.ClientID %>');

            iconList.on('change', function (group, radio) {
                tbxIcon.setValue(radio.getRawValue());
            });

            tbxIcon.on('change', function (field, newValue, oldValue) {
                iconList.setValue(newValue);
            });
        }
    </script>
</body>
</html>
