﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="online.aspx.cs" Inherits="AppBox.admin.online" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="Panel1" runat="server" />
    <x:Panel ID="Panel1" runat="server" BodyPadding="5px" EnableLargeHeader="false" EnableBackgroundColor="true"
        ShowBorder="false" Layout="VBox" BoxConfigAlign="Stretch" BoxConfigPosition="Start"
        ShowHeader="false" Title="日志管理">
        <Items>
            <x:Form ID="Form2" runat="server" Height="36px" BodyPadding="5px" ShowHeader="false"
                ShowBorder="false" EnableBackgroundColor="true">
                <Rows>
                    <x:FormRow ID="FormRow1" runat="server">
                        <Items>
                            <x:TwinTriggerBox ID="ttbSearchMessage" runat="server" ShowLabel="false" EmptyText="在用户名中搜索"
                                Trigger1Icon="Clear" Trigger2Icon="Search" ShowTrigger1="false" OnTrigger2Click="ttbSearchMessage_Trigger2Click"
                                OnTrigger1Click="ttbSearchMessage_Trigger1Click">
                            </x:TwinTriggerBox>
                            <x:Label runat="server">
                            </x:Label>
                        </Items>
                    </x:FormRow>
                </Rows>
            </x:Form>
            <x:Grid ID="Grid1" runat="server" BoxFlex="1" ShowBorder="true" ShowHeader="false"
                EnableCheckBoxSelect="false" EnableRowNumber="true" DataKeyNames="Logid" AllowSorting="true"
                OnSort="Grid1_Sort" SortColumnIndex="0" SortDirection="DESC" AllowPaging="true"
                IsDatabasePaging="true" OnPageIndexChange="Grid1_PageIndexChange">
                <Columns>
                    <x:BoundField DataField="UpdateTime" SortField="UpdateTime" DataFormatString="{0:yyyy-MM-dd HH:mm}"
                        Width="120px" HeaderText="最后操作时间" />
                    <x:BoundField DataField="LoginTime" SortField="LoginTime" Width="120px" DataFormatString="{0:yyyy-MM-dd HH:mm}"
                        HeaderText="登录时间" />
                    <x:BoundField DataField="UserName" SortField="UserName" Width="100px" HeaderText="用户名" />
                    <x:BoundField DataField="UserRealName" SortField="UserRealName" Width="100px" HeaderText="中文名" />
                    <x:BoundField DataField="IPAdddress" ExpandUnusedSpace="true" HeaderText="IP地址" />
                    <x:WindowField Hidden="true" Text="查看" Title="查看" WindowID="Window1" DataIFrameUrlFields="UserId"
                        DataIFrameUrlFormatString="~/admin/user_view.aspx?id={0}" Width="50px" />
                </Columns>
                <PageItems>
                    <x:ToolbarSeparator ID="ToolbarSeparator3" runat="server">
                    </x:ToolbarSeparator>
                    <x:ToolbarText ID="ToolbarText1" runat="server" Text="每页记录数：">
                    </x:ToolbarText>
                    <x:DropDownList ID="ddlGridPageSize" Width="80px" AutoPostBack="true" OnSelectedIndexChanged="ddlGridPageSize_SelectedIndexChanged"
                        runat="server">
                        <x:ListItem Text="10" Value="10" />
                        <x:ListItem Text="20" Value="20" />
                        <x:ListItem Text="50" Value="50" />
                        <x:ListItem Text="100" Value="100" />
                    </x:DropDownList>
                </PageItems>
            </x:Grid>
        </Items>
    </x:Panel>
    <x:Window ID="Window1" runat="server" IsModal="true" Hidden="true" Target="Top" EnableResize="true"
        EnableMaximize="true" EnableIFrame="true" IFrameUrl="about:blank" Width="650px"
        Height="450px">
    </x:Window>
    </form>
</body>
</html>
