﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="role_module2.aspx.cs" Inherits="AppBox.admin.role_module2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style>
        .x-grid-tpl .others input
        {
            vertical-align: middle;
        }
        .x-grid-tpl .others label
        {
            margin-left: 5px;
            margin-right: 15px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <x:PageManager ID="PageManager1" AutoSizePanelID="RegionPanel1" runat="server" />
    <x:RegionPanel ID="RegionPanel1" ShowBorder="false" runat="server">
        <Regions>
            <x:Region ID="Region1" ShowBorder="false" ShowHeader="false" Split="true" EnableSplitTip="true"
                CollapseMode="Mini" Margins="0 0 0 0" Width="200px" Position="Left" Layout="Fit"
                BodyPadding="5px 0 5px 5px" EnableBackgroundColor="true" runat="server">
                <Items>
                    <x:Grid ID="Grid1" runat="server" ShowBorder="true" ShowHeader="false" EnableCheckBoxSelect="false"
                        EnableRowNumber="true" DataKeyNames="Id" AllowSorting="true" OnSort="Grid1_Sort"
                        SortColumnIndex="0" SortDirection="DESC" AllowPaging="false" EnableMultiSelect="false"
                        EnableRowClick="true" OnRowClick="Grid1_RowClick">
                        <Columns>
                            <x:BoundField DataField="Name" SortField="Name" ExpandUnusedSpace="true" HeaderText="角色名称" />
                        </Columns>
                    </x:Grid>
                </Items>
            </x:Region>
            <x:Region ID="Region2" ShowBorder="false" ShowHeader="false" Position="Center"
                Layout="VBox" BoxConfigAlign="Stretch" BoxConfigPosition="Left" BodyPadding="5px 5px 5px 0"
                EnableBackgroundColor="true" runat="server">
                <Items>
                    <x:Form ID="Form3" runat="server" Height="36px" BodyPadding="5px" ShowHeader="false"
                        ShowBorder="false" LabelAlign="Right" EnableBackgroundColor="true">
                        <Rows>
                            <x:FormRow ID="FormRow2" runat="server">
                                <Items>
                                    <x:TwinTriggerBox ID="ttbSearchUser" runat="server" ShowLabel="false" EmptyText="在模块标题中搜索"
                                        Trigger1Icon="Clear" Trigger2Icon="Search" ShowTrigger1="false" OnTrigger2Click="ttbSearchUser_Trigger2Click"
                                        OnTrigger1Click="ttbSearchUser_Trigger1Click">
                                    </x:TwinTriggerBox>
                                    <x:Label ID="Label1" runat="server">
                                    </x:Label>
                                </Items>
                            </x:FormRow>
                        </Rows>
                    </x:Form>
                    <x:Grid ID="Grid2" runat="server" BoxFlex="1" ShowBorder="true" ShowHeader="false"
                        EnableCheckBoxSelect="false" EnableRowNumber="true" DataKeyNames="ModuleId,ModuleName"
                        AllowSorting="true" OnSort="Grid2_Sort" OnRowDataBound="Grid2_RowDataBound" SortColumnIndex="1"
                        SortDirection="DESC" AllowPaging="false">
                        <Toolbars>
                            <x:Toolbar ID="Toolbar1" runat="server">
                                <Items>
                                    <x:Button ID="Button1" EnablePostBack="false" runat="server" Text="改变复选框的状态">
                                        <Menu ID="Menu1" runat="server">
                                            <x:MenuButton ID="btnSelectCheckbox" EnablePostBack="false" runat="server" Text="全选复选框">
                                                <Menu runat="server">
                                                    <x:MenuButton ID="mbtnSelectAll" OnClick="btnSelectAll_Click" runat="server" Text="全部">
                                                    </x:MenuButton>
                                                    <x:MenuButton ID="mbtnSelectAllSelected" OnClick="btnSelectAll_Click" runat="server"
                                                        Text="选中的行">
                                                    </x:MenuButton>
                                                    <x:MenuButton ID="mbtnSelectAllCanRead" OnClick="btnSelectAll_Click" runat="server"
                                                        Text="浏览权限">
                                                    </x:MenuButton>
                                                </Menu>
                                            </x:MenuButton>
                                            <x:MenuButton ID="btnUnSelectCheckbox" EnablePostBack="false" runat="server" Text="反选复选框">
                                                <Menu ID="Menu2" runat="server">
                                                    <x:MenuButton ID="mbtnUnSelectAll" OnClick="btnUnSelectAll_Click" runat="server" Text="全部">
                                                    </x:MenuButton>
                                                    <x:MenuButton ID="mbtnUnSelectAllSelected" OnClick="btnUnSelectAll_Click" runat="server"
                                                        Text="选中的行">
                                                    </x:MenuButton>
                                                    <x:MenuButton ID="mbtnUnSelectAllCanRead" OnClick="btnUnSelectAll_Click" runat="server"
                                                        Text="浏览权限">
                                                    </x:MenuButton>
                                                </Menu>
                                            </x:MenuButton>
                                        </Menu>
                                    </x:Button>
                                    <x:ToolbarSeparator ID="ToolbarSeparator1" runat="server">
                                    </x:ToolbarSeparator>
                                    <x:Button ID="btnGroupUpdate" Icon="GroupEdit" runat="server" Text="更新当前角色的模块权限"
                                        OnClick="btnGroupUpdate_Click">
                                    </x:Button>
                                </Items>
                            </x:Toolbar>
                        </Toolbars>
                        <Columns>
                            <x:BoundField DataField="Title" SortField="Title" HeaderText="模块标题" Width="120px" />
                            <x:BoundField DataField="ModuleName" SortField="ModuleName" HeaderText="模块名称" Width="120px" />
                            <x:CheckBoxField TextAlign="Center" ColumnID="CanRead" DataField="CanRead" HeaderText="浏览"
                                RenderAsStaticField="false" Width="50px" />
                            <x:TemplateField ExpandUnusedSpace="true" ColumnID="Others" HeaderText="其他权限">
                                <ItemTemplate>
                                    <asp:CheckBoxList ID="ddlOthers" CssClass="others" RepeatLayout="Flow" RepeatDirection="Horizontal"
                                        runat="server">
                                    </asp:CheckBoxList>
                                </ItemTemplate>
                            </x:TemplateField>
                        </Columns>
                    </x:Grid>
                </Items>
            </x:Region>
        </Regions>
    </x:RegionPanel>
    </form>
</body>
</html>
